Bug 1722081 (CVE-2019-10171) - CVE-2019-10171 389-ds-base: Insufficient fix for CVE-2018-14648 denial of service in RHEL-7.5
Summary: CVE-2019-10171 389-ds-base: Insufficient fix for CVE-2018-14648 denial of ser...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10171
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190619,repo...
Depends On: 1718277
Blocks: 1722087
TreeView+ depends on / blocked
 
Reported: 2019-06-19 13:18 UTC by Cedric Buissart 🐶
Modified: 2019-07-16 14:40 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base 1.4.0.17
Doc Type: If docs needed, set a value
Doc Text:
It was found that the fix for CVE-2018-14648 was incorrectly applied in RHEL 7.5. An attacker would still be able to provoke excessive CPU consumption leading to a denial of service.
Clone Of:
Environment:
Last Closed: 2019-07-16 14:40:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1789 None None None 2019-07-16 13:45:07 UTC

Description Cedric Buissart 🐶 2019-06-19 13:18:55 UTC
I was found that the fix present in RHEL-7.5 RHSA-2018:3507 for flaw CVE-2018-14648 was not sufficient.

Other RHEL versions are not affected.

Comment 3 Cedric Buissart 🐶 2019-06-20 09:30:34 UTC
The CVE was partially fixed, following upstream fix was missing in the original RHEL-7.5 build :
https://pagure.io/389-ds-base/c/722a6f8679

Comment 4 errata-xmlrpc 2019-07-16 13:45:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2019:1789 https://access.redhat.com/errata/RHSA-2019:1789

Comment 5 Product Security DevOps Team 2019-07-16 14:40:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10171


Note You need to log in before you can comment on or make changes to this bug.